Google Groups no longer supports new Usenet posts or subscriptions. Historical content remains viewable.
Dismiss

BREAK lines with gap

211 views
Skip to first unread message

Matt W

unread,
Oct 27, 2004, 1:31:55 PM10/27/04
to
A while ago I saw some code that would BREAK with a gap multiple lines that
intersected a selected line.
Does anyone know where I might find it or would someone be willing to
share??

Thanks in advance!

--
I support two teams: the Red Sox and whoever beats the Yankees.

Jürg Menzi

unread,
Oct 27, 2004, 3:19:54 PM10/27/04
to
Hi Matt

Did you mean this one?

Cheers
--
Juerg Menzi
MENZI ENGINEERING GmbH, Switzerland
http://www.menziengineering.ch

BreakGapAtPoint.zip

Matt W

unread,
Oct 27, 2004, 4:19:45 PM10/27/04
to
That would be ideal.


--
I support two teams: the Red Sox and whoever beats the Yankees.


"Rudy Tovar" <Ru...@CadentityNoSpam.com> wrote in message
news:417ff786$1_1@newsprd01...
Do you want one that breaks anything that it crosses?

"Matt W" <nos...@address.withheld> wrote in message
news:417ff6a7_3@newsprd01...
Yes and no.
Sort of on the right track.

I'd like to be able to select one line, pline, arc, etc... then select
multiple lines, plines, arcs, etc... to be broken and NOT have to enter a
distance or pick any other points on screen.

Maybe these images will help.

--
I support two teams: the Red Sox and whoever beats the Yankees.


"Jürg Menzi" <in...@menziengineering.ch> wrote in message
news:417FF4DA...@menziengineering.ch...

Adesu

unread,
Oct 28, 2004, 1:38:02 AM10/28/04
to
Hi Matt,you can try my code

; bcl is stand for break cross a line
; Design by Ade Suharna <mte...@yuasabattery.co.id>
; 24 October 2004
; Program no.126/10/2004
; Edit by
(defun c:bcl (/ ent entdata data10 data11 len
e edata edata10 edata11 elen entang
eang ent1 ent2 e1 e2 inter space
p1 p2 p3)
(while
(setq ent (car (entsel "\nSELECT A LINE: "))
entdata (entget ent)
data10 (cdr (assoc 10 entdata))
data11 (cdr (assoc 11 entdata))
len (distance data10 data11)
entang (angle data10 data11))
(while
(setq e (car (entsel "\nSELECT A LINE TO WOULD BREAK: "))
edata (entget e)
edata10 (cdr (assoc 10 edata))
edata11 (cdr (assoc 11 edata))
elen (distance edata10 edata11)
eang (angle edata10 edata11)
ent1 data10
ent2 data11
e1 edata10
e2 edata11
inter (inters ent1 ent2 e1 e2 nil)
opt 2 ; set here break distance
space (/ opt 2.0)
p1 inter
p2 (polar p1 (* (+ eang pi) -1) space)
p3 (polar p2 (+ eang pi) opt))
(command "_break" e p2 p3 "")
(princ)
)
)
)

Matt W <nos...@address.withheld> wrote in message

news:41800283_2@newsprd01...

Matt W

unread,
Oct 28, 2004, 4:05:55 PM10/28/04
to
Thanks Juerg.
Looks like this will do the trick!

--
I support two teams: The Red Sox and whoever beats the Yankees.

"Jürg Menzi" <in...@menziengineering.ch> wrote in message

news:4180C38B...@menziengineering.ch...
> Hi Matt
>
> Try this one (not bulletproof)...

Jürg Menzi

unread,
Oct 29, 2004, 3:54:20 AM10/29/04
to
Welcome...¦-)
0 new messages